Fixes underlinking curl lib in nasl/CMakeLists.txt
Upstream PR: https://github.com/greenbone/openvas-scanner/pull/1647

From d070e15547bf8377b90ed660c099c82fb30e2d32 Mon Sep 17 00:00:00 2001
From: Giuseppe Foti <foti.giuseppe@gmail.com>
Date: Sat, 18 May 2024 18:53:19 +0200
Subject: [PATCH 1/2] link curl

Signed-off-by: Giuseppe Foti <foti.giuseppe@gmail.com>
--- a/nasl/CMakeLists.txt
+++ b/nasl/CMakeLists.txt
@@ -188,7 +188,7 @@ set_target_properties (openvas_nasl_shared PROPERTIES CLEAN_DIRECT_OUTPUT 1)
 set_target_properties (openvas_nasl_shared PROPERTIES SOVERSION "${PROJECT_VERSION_MAJOR}")
 set_target_properties (openvas_nasl_shared PROPERTIES VERSION "${PROJECT_VERSION_STRING}")
 # line below is needed so it also works with no-undefined which is e.g. used by Mandriva
-target_link_libraries (openvas_nasl_shared openvas_misc_shared pcap ${GLIB_LDFLAGS}
+target_link_libraries (openvas_nasl_shared openvas_misc_shared curl pcap ${GLIB_LDFLAGS}
                          ${LIBOPENVAS_MISC_LDFLAGS}
                          ${GLIB_JSON_LDFLAGS} 
                          ${GCRYPT_LDFLAGS} ${GPGME_LDFLAGS} m
-- 
2.43.2


From 17475b6e7e3b0bf4ccc56915b1ea69adadfda0a5 Mon Sep 17 00:00:00 2001
From: Giuseppe Foti <foti.giuseppe@gmail.com>
Date: Sat, 18 May 2024 18:54:04 +0200
Subject: [PATCH 2/2] Remove redundant whitespaces

Signed-off-by: Giuseppe Foti <foti.giuseppe@gmail.com>
--- a/nasl/CMakeLists.txt
+++ b/nasl/CMakeLists.txt
@@ -172,7 +172,7 @@ add_definitions (-DOPENVAS_GPG_BASE_DIR="${OPENVAS_GPG_BASE_DIR}")
 
 include_directories (${GLIB_INCLUDE_DIRS}
                      ${LIBOPENVAS_MISC_INCLUDE_DIRS}
-                     ${GLIB_JSON_INCLUDE_DIRS} 
+                     ${GLIB_JSON_INCLUDE_DIRS}
                      ${GPGME_INCLUDE_DIRS}
                      ${LIBSSH_INCLUDE_DIRS}
                      ${LIBGVM_BASE_INCLUDE_DIRS}
@@ -181,7 +181,7 @@ include_directories (${GLIB_INCLUDE_DIRS}
                      ${GCRYPT_INCLUDE_DIRS})
 
 
-# Build shared 
+# Build shared
 add_library (openvas_nasl_shared SHARED ${FILES})
 set_target_properties (openvas_nasl_shared PROPERTIES OUTPUT_NAME "openvas_nasl")
 set_target_properties (openvas_nasl_shared PROPERTIES CLEAN_DIRECT_OUTPUT 1)
@@ -190,7 +190,7 @@ set_target_properties (openvas_nasl_shared PROPERTIES VERSION "${PROJECT_VERSION
 # line below is needed so it also works with no-undefined which is e.g. used by Mandriva
 target_link_libraries (openvas_nasl_shared openvas_misc_shared curl pcap ${GLIB_LDFLAGS}
                          ${LIBOPENVAS_MISC_LDFLAGS}
-                         ${GLIB_JSON_LDFLAGS} 
+                         ${GLIB_JSON_LDFLAGS}
                          ${GCRYPT_LDFLAGS} ${GPGME_LDFLAGS} m
                          ${LIBGVM_BASE_LDFLAGS}
                          ${LIBGVM_UTIL_LDFLAGS}
@@ -219,5 +219,5 @@ install (FILES ${CMAKE_SOURCE_DIR}/doc/man/openvas-nasl.1
          DESTINATION ${DATADIR}/man/man1 )
 
 install (FILES ${CMAKE_SOURCE_DIR}/doc/man/openvas-nasl-lint.1
-         DESTINATION ${DATADIR}/man/man1 )   
+         DESTINATION ${DATADIR}/man/man1 )
 ## End
-- 
2.43.2

